#### D.14.5.18 netmatrixShort

Procedure from library `nets.lib` (see nets_lib).

Usage:
  netmatrixShort(M); M matrix

Assume:
  M is a matrix

Return:
  visual presentation of M

Theory:
  A Singular object is converted into a character array (a Net) for on screen printing.

Example:

    LIB "nets.lib";
    ring r1=101,(x,y,z),lp;
    poly a=2x3y4+300xy-234z23;
    poly b=2x3y4z;
    poly c=x3y4z5;
    poly d=5x6y7z10;
    poly e=2x3y-2x3y4+300xy-234z23;
    poly f=4y5z8;
    matrix M[2][3]=a,b,c,d,e,f;
    netmatrixShort(M, 10);
    ==> | 2x3y4-3xy-32z23 2x3y4z                x3y4z5 |
    ==> | 5x6y7z10        -2x3y4+2x3y-3xy-32z23 4y5z8  |
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.